/**
 * account.h: Data structures for account information.
 *
 * Copyright © 2007 Pippijn van Steenhoven / The Ermyth Team
 * Rights to this code are as documented in COPYING.
 *
 *
 * Portions of this file were derived from sources bearing the following license:
 * Copyright © 2005-2006 Atheme Development Group
 * Rights to this code are as documented in doc/pod/license.pod.
 *
 * $Id: account.h,v 1.4 2007/09/16 18:54:42 pippijn Exp $
 */

#ifndef ACCOUNT_H
#define ACCOUNT_H

#if 0
/* account related hooks */
typedef struct
{
  mychan_t *mc;
  sourceinfo_t *si;
} hook_channel_req_t;

typedef struct
{
  sourceinfo_t *si;
  myuser_t *mu;
  mynick_t *mn;
} hook_user_req_t;

typedef struct
{
  sourceinfo_t *si;
  const char *account;
  const char *email;
  int approved;			/* Write non-zero here to disallow the registration */
} hook_user_register_check_t;

typedef struct
{
  user_t *u;
  mynick_t *mn;
} hook_nick_enforce_t;
#endif

E void init_accounts (void);

E void expire_check (void *arg);

#endif
