/**
 * datastream.h: Datastream query stuff.
 *
 * Copyright © 2007 Pippijn van Steenhoven / The Ermyth Team
 * Rights to this code are as documented in COPYING.
 *
 *
 * Portions of this file were derived from sources bearing the following license:
 * Copyright © 2005 Atheme Development Group
 * Rights to this code are as documented in doc/pod/license.pod.
 *
 * $Id: datastream.h,v 1.4 2007/09/16 18:54:42 pippijn Exp $
 */
#ifndef DATASTREAM_H
#define DATASTREAM_H

E void sendq_add (connection_t *cptr, char *buf, int len);
E void sendq_add_eof (connection_t *cptr);
E void sendq_flush (connection_t *cptr);
E bool sendq_nonempty (connection_t *cptr);

E int recvq_length (connection_t *cptr);
E void recvq_put (connection_t *cptr);
E int recvq_get (connection_t *cptr, char *buf, int len);
E int recvq_getline (connection_t *cptr, char *buf, int len);

E void sendqrecvq_free (connection_t *cptr);

#endif
