/**
 * internal.h: Stuff for internal use in Atheme.
 *
 * Copyright © 2007 Pippijn van Steenhoven / The Ermyth Team
 * Rights to this code are as documented in COPYING.
 *
 *
 * Portions of this file were derived from sources bearing the following license:
 * Copyright © 2005-2006 Atheme Development Group
 * Rights to this code are as documented in doc/pod/license.pod.
 *
 * $Id: internal.h,v 1.4 2007/09/16 18:54:42 pippijn Exp $
 */

#ifndef INTERNAL_H
#define INTERNAL_H

/* internal functions */
E void event_init (void);
E void hooks_init (void);
E void init_dlink_nodes (void);
E void init_netio (void);
E void init_socket_queues (void);
E void init_signal_handlers (void);

#endif
