/**
 * nefarious.h: This code contains the channel mode definitions for ircnet ircd.
 *
 * Copyright © 2007 Pippijn van Steenhoven / The Ermyth Team
 * Rights to this code are as documented in COPYING.
 *
 *
 * Portions of this file were derived from sources bearing the following license:
 * Copyright © 2005 William Pitcock, et al.
 * Rights to this code are as documented in doc/pod/license.pod.
 *
 * $Id: nefarious.h,v 1.4 2007/09/16 18:54:42 pippijn Exp $
 */

#ifndef RATBOX_H
#define RATBOX_H

enum
{
  CMODE_NOCOLOR         = 1 << 12,
  CMODE_NOCTCP          = 1 << 13,
  CMODE_DELAYED         = 1 << 14,
  CMODE_AUDITORIUM      = 1 << 15,
  CMODE_NOQUIT          = 1 << 16,
  CMODE_NONOTICE        = 1 << 17,
  CMODE_ADMONLY         = 1 << 18,
  CMODE_SOFTMOD         = 1 << 19,
  CMODE_REGONLY         = 1 << 20,
  CMODE_PERM            = 1 << 21,
  CMODE_STRIP           = 1 << 22,
  CMODE_NOAMSG          = 1 << 23,
  CMODE_OPERONLY        = 1 << 24,
  CMODE_SOFTPRIV        = 1 << 25,
  CMODE_SSLONLY         = 1 << 26,
  
  CMODE_HALFOP          = 1 << 27
};

#endif

