/**
 * stdinc.h: This is the header which includes all of the system stuff.
 *
 * Copyright © 2007 Pippijn van Steenhoven / The Ermyth Team
 * Rights to this code are as documented in COPYING.
 *
 *
 * Portions of this file were derived from sources bearing the following license:
 * Copyright © 2005 William Pitcock et al.
 * Rights to this code are documented in doc/pod/license.pod.
 *
 * $Id: stdinc.h,v 1.5 2007/09/16 18:54:42 pippijn Exp $
 */

#ifndef STDINC_H
#define STDINC_H

/* I N C L U D E S */
#include <cstdarg>
#include <cstdio>
#include <cstdlib>
#include <cstring>
#include <csignal>
#include <ctime>
#include <cerrno>
#include <setjmp.h>
#include <sys/stat.h>
#include <cctype>
#include <regex.h>

/* socket stuff */
#include <netdb.h>
#include <netinet/in.h>
#include <unistd.h>
#include <grp.h>
#include <sys/wait.h>
#include <sys/resource.h>
#include <sys/socket.h>
#include <fcntl.h>
#include <arpa/inet.h>

#include <sys/types.h>

#include <libgen.h>
#include <dirent.h>

#endif
