#include "tst-main.C"

int
exec_tests ()
{
  char nultext[] = "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0";
  char text[] = "Some character string";
  char *buf;
  
  buf = salloc<char> (sizeof text);
  memcpy (buf, text, sizeof text);
  assert (!strcmp (buf, text));
  sfree (buf);

  buf = salloc (sizeof text, text);
  assert (!strcmp (buf, text));
  sfree (buf);

  buf = salloc<char> (sizeof nultext, '\0');
  assert (!memcmp (buf, nultext, sizeof nultext));
  sfree (buf);

  buf = sstrdup (text);
  assert (!strcmp (buf, text));
  sfree (buf);

  buf = sstrndup (text, 6);
  assert (!strncmp (buf, text, 6));
  sfree (buf);

  buf = sstrndup (text);
  assert (!strcmp (buf, text));
  sfree (buf);

  return 0;
}

