#include "tst-main.C"

int
exec_tests ()
{
  char const str1[] = "String one";
  char const str2[] = "String two";
  char const str3[] = "STRING one";

  str_hash hash;
  str_eq eq;
  str_lt lt;
  strcase_eq caseeq;
  strcase_lt caselt;
  irccase_eq irceq;
  irccase_lt irclt;

  assert (hash (str1) == 12102426167838344948u);
  assert (hash (str2) == 12102154464693239930u);

  assert (!eq (str1, str2));
  assert (eq (str1, str1));

  assert (lt (str1, str2));
  assert (!lt (str2, str1));
  assert (!lt (str1, str1));
  assert (!lt (str2, str2));

  assert (lt (str3, str1));
  assert (!caselt (str3, str1));

  assert (!eq (str3, str1));
  assert (caseeq (str3, str1));

  assert (!caseeq ("{}", "[]"));
  assert (irceq ("{}", "[]"));

  assert (!irclt ("[]", "{}"));
  assert (lt ("[]", "{}"));

  return 0;
}
