use inc::Module::Install;

name 'Ermyth-Web';
all_from 'lib/Ermyth/Web.pm';

requires 'Catalyst' => '5.7007';
requires 'Catalyst::Plugin::ConfigLoader';
requires 'Catalyst::Plugin::Session';
requires 'Catalyst::Plugin::Session::State::Cookie';
requires 'Catalyst::Plugin::Session::Store::File';
requires 'Catalyst::Action::RenderView';
requires 'Catalyst::Controller::FormBuilder';
requires 'Path::Class';
requires 'Pod::POM';
requires 'JSON::RPC::Client';
requires 'YAML'; # This should reflect the config file format you've chosen
                 # See Catalyst::Plugin::ConfigLoader for supported formats
catalyst;
catalyst_par_core;     # Include modules that are also included
                       # in the standard Perl distribution,
                       # this is optional but highly suggested

catalyst_par;          # Generate a PAR as soon as the blib
                       # directory is ready

install_script glob('script/*.pl');
auto_install;
WriteAll;
