/**
 * news.h: Data structures for news information.
 *
 * Copyright © 2007 Pippijn van Steenhoven / The Ermyth Team
 * Rights to this code are as documented in COPYING.
 *
 *
 * Portions of this file were derived from sources bearing the following license:
 * Copyright © 2005 William Pitcock, et al.
 * Rights to this code are as documented in doc/pod/license.pod.
 *
 * $Id: news.h,v 1.4 2007/09/16 18:54:42 pippijn Exp $
 */

#ifndef NEWS_H
#define NEWS_H

struct news_t
{
  myuser_t *user;
  time_t date;
  char *text;
};

#endif
