/**
 * asuka.h: This code contains the channel mode definitions for ircnet ircd.
 *
 * Copyright © 2007 Pippijn van Steenhoven / The Ermyth Team
 * Rights to this code are as documented in COPYING.
 *
 *
 * Portions of this file were derived from sources bearing the following license:
 * Copyright © 2005 William Pitcock, et al.
 * Rights to this code are as documented in doc/pod/license.pod.
 *
 * $Id: asuka.h,v 1.5 2007/09/16 18:54:42 pippijn Exp $
 */

#ifndef RATBOX_H
#define RATBOX_H

/* Extended channel modes. */
enum
{
  CMODE_NOCOLOR         = 1 << 12,
  CMODE_NOCTCP          = 1 << 13,
  CMODE_DELAYED         = 1 << 14,
  CMODE_AUDITORIUM      = 1 << 15,
  CMODE_NOQUIT          = 1 << 16,
  CMODE_NONOTICE        = 1 << 17
};

#endif
