/**
 * charybdis.h: This code contains the channel mode definitions for charybdis ircd.
 *
 * Copyright © 2007 Pippijn van Steenhoven / The Ermyth Team
 * Rights to this code are as documented in COPYING.
 *
 *
 * Portions of this file were derived from sources bearing the following license:
 * Copyright © 2005 William Pitcock, et al.
 * Rights to this code are as documented in doc/pod/license.pod.
 *
 * $Id: charybdis.h,v 1.4 2007/09/16 18:54:42 pippijn Exp $
 */

#ifndef RATBOX_H
#define RATBOX_H

enum
{
  CMODE_NOCOLOR         = 1 << 12,      /* hyperion +c */
  CMODE_REGONLY         = 1 << 13,      /* hyperion +r */
  CMODE_OPMOD           = 1 << 14,      /* hyperion +z */
  CMODE_FINVITE         = 1 << 15,      /* hyperion +g */
  CMODE_EXLIMIT         = 1 << 16,      /* charybdis +L */
  CMODE_PERM            = 1 << 17,      /* charybdis +P */
  CMODE_FTARGET         = 1 << 18,      /* charybdis +F */
  CMODE_DISFWD          = 1 << 19,      /* charybdis +Q */
  
  CMODE_HALFOP          = 1 << 20
};
  
#endif
