/**
 * ptlink.h: This code contains the channel mode definitions for ratbox ircd.
 *
 * Copyright © 2007 Pippijn van Steenhoven / The Ermyth Team
 * Rights to this code are as documented in COPYING.
 *
 *
 * Portions of this file were derived from sources bearing the following license:
 * Copyright © 2005 William Pitcock, et al.
 * Rights to this code are as documented in doc/pod/license.pod.
 *
 * $Id: ptlink.h,v 1.4 2007/09/16 18:54:42 pippijn Exp $
 */

#ifndef RATBOX_H
#define RATBOX_H

enum
{
  CMODE_FLOOD           = 0,            /* IGNORE */
  
  CMODE_NOCOLOR         = 1 << 12,
  CMODE_NOBOTS          = 1 << 13,
  CMODE_SSLONLY         = 1 << 14,
  CMODE_NOREPEAT        = 1 << 15,
  CMODE_KNOCK           = 1 << 16,
  CMODE_STICKY          = 1 << 17,
  CMODE_NOQUIT          = 1 << 18,
  CMODE_REGONLY         = 1 << 19,
  CMODE_NOSPAM          = 1 << 20,
  
  CMODE_PROTECT         = 1 << 21,      /* unreal +a */
  CMODE_HALFOP          = 1 << 22       /* unreal +h */
};

#endif
