/*
 * metadata.C: Metadata tests
 * Copyright © 2007 Pippijn van Steenhoven / The Ermyth Team
 * Rights to this code are documented in doc/poddoc/license.pod
 *
 * $Id: metadata.C,v 1.6 2007/09/05 11:23:15 pippijn Exp $
 */

#include "unit/test.h"

test<1> ()
{
  metadata *md;
  myuser_t *mu = myuser_t::create ("name", "pass", "email", 0);

  md = mu->add_metadata ("cow", "moo");
  ensure_streq (md->value, "moo");
  mu->del_metadata ("cow");
  mu->add_metadata ("cow2", "moo2");
  mu->clear_metadata ();
  md = mu->find_metadata ("moo");
  ensure_null (md);
}

#include "unit/runtest.h"
