package Ermyth::Web::View::TT;

use strict;
use warnings FATAL => 'all';
use utf8;

my $rcsid = '$Id: TT.pm,v 1.4 2007/07/28 17:26:27 pippijn Exp $';

use base 'Catalyst::View::TT';

=head1 NAME

Ermyth::Web::View::TT

=head1 DESCRIPTION

The standard TT view class from Catalyst::View::TT.

=cut

__PACKAGE__->config({
    CATALYST_VAR => 'c',
    INCLUDE_PATH => [
        Ermyth::Web->path_to( 'root', 'template' ),
    ],
    WRAPPER      => 'lib/wrapper.tt',
    ERROR        => 'lib/perlerror.tt',
    TIMER        => 0,
    EVAL_PERL    => 1,
});


=head1 AUTHOR

Copyright © 2007 Pippijn van Steenhoven

=head1 LICENSE

This library is free software, you can redistribute it and/or modify
it under the same terms as Perl itself.

=cut

1
